Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class WarPlugin

    java.lang.Object
      org.gradle.api.plugins.WarPlugin

All Implemented Interfaces:
  Plugin<Project>

    public class WarPlugin

extends Object
implements Plugin<Project>

A `Plugin` which extends the `JavaPlugin` to add tasks which assemble a web application into a WAR file.

Field Summary
`static String` | `PROVIDED_COMPILE_CONFIGURATION_NAME`
`static String` | `PROVIDED_RUNTIME_CONFIGURATION_NAME`
`static String` | `WAR_TASK_NAME`
`static String` | `WEB_APP_GROUP`

Constructor Summary
`WarPlugin()`

Method Summary
`void` | `apply(Project project)` Apply this plugin to the given target object.
`void` | `configureConfigurations(ConfigurationContainer configurationContainer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDED_COMPILE_CONFIGURATION_NAME

    public static final String PROVIDED_COMPILE_CONFIGURATION_NAME

See Also:
  Constant Field Values

### PROVIDED_RUNTIME_CONFIGURATION_NAME

    public static final String PROVIDED_RUNTIME_CONFIGURATION_NAME

See Also:
  Constant Field Values

### WAR_TASK_NAME

    public static final String WAR_TASK_NAME

See Also:
  Constant Field Values

### WEB_APP_GROUP

    public static final String WEB_APP_GROUP

See Also:
  Constant Field Values

Constructor Detail

### WarPlugin

    public WarPlugin()

Method Detail

### apply

    public void apply(Project project)

  Description copied from interface: `Plugin`
  Apply this plugin to the given target object.

  Specified by:
    `apply` in interface `Plugin<Project>`
  Parameters:
    `project` - The target object

### configureConfigurations

    public void configureConfigurations(ConfigurationContainer configurationContainer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD